Package org.silverpeas.components.kmelia.ui

# Class ResultSearchRenderer

java.lang.Object
org.silverpeas.core.web.search.AbstractResultDisplayer
org.silverpeas.components.kmelia.ui.ResultSearchRenderer

All Implemented Interfaces:
  `org.silverpeas.core.web.search.ResultDisplayer`

@Service @Named("kmeliaResultDisplayer") public class ResultSearchRenderer extends org.silverpeas.core.web.search.AbstractResultDisplayer

     This class implements a ResultDisplayer in order to customize search result display. It uses
     "Named" annotation to inject dependency.
     Be careful to not modify this name that uses the following rules : componentName + POSTFIX_BEAN_NAME
     POSTFIX_BEAN_NAME = ResultDisplayer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultSearchRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.template.SilverpeasTemplate`
  `getNewTemplate()`
  `org.silverpeas.core.contribution.publication.service.PublicationService`
  `getPublicationService()`
  `String`
  `getResultContent(org.silverpeas.core.web.search.SearchResultContentVO searchResult)`
  `protected void`
  `loadConfig()`
  Loads the template configuration.

  ### Methods inherited from class org.silverpeas.core.web.search.AbstractResultDisplayer

  `getUserPreferences, setCommonAttributes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultSearchRenderer

    public ResultSearchRenderer()

- ## Method Details

  - ### loadConfig

    @PostConstruct protected void loadConfig()
    Loads the template configuration.

  - ### getResultContent

    public String getResultContent(org.silverpeas.core.web.search.SearchResultContentVO searchResult)

  - ### getNewTemplate

    protected org.silverpeas.core.template.SilverpeasTemplate getNewTemplate()
    Returns:
      a new Silverpeas Template

  - ### getPublicationService

    public org.silverpeas.core.contribution.publication.service.PublicationService getPublicationService()
    Returns:
      a publication service